<?php
	// Wenn es einen eintrag in konfiguration_sitpos gibt, dann mache ein update
	// ansonsten mache ein insert
	function insert_into_konfiguration($name, $wert, $beschreibung="", $sitpos_config=true, $konfigtitel="")
	{
		$value_string="";
		if ($sitpos_config) $table="konfiguration_sitpos";
		else 
		{
			$table="konfiguration";
			$value_string=", beschreibung='".$beschreibung."', konfigtitel='".$konfigtitel."' ";
		}
		
		$sql = "SELECT wert from $table where name='".$name."'";
		$result = mysql_query($sql);
		if(mysql_num_rows($result) > 0)
		{
			$sql="UPDATE $table SET wert = '".$wert."'".$value_string." WHERE name = '".$name."'";
			//echo $sql ."\n";
			$insVersion=mysql_query($sql); 
				if(!$insVersion) $finalMsg="Konfiguration konnte nicht upgedated werden. ".mysql_error()."";
				else $finalMsg="Name ".$name." in Konfiguration upgedated\n";	
		}
		else
		{
			$insVersion=mysql_query("INSERT into $table SET wert = '".$wert."'".$value_string.", name = '".$name."'\n"); 
				if(!$insVersion) $finalMsg="Konfiguration konnte nicht eingefuegt werden. ".mysql_error()."";
				else $finalMsg="Name ".$name." in Konfiguration eingefuegt\n";
		}
		return($finalMsg);
	}
	
	function sitpos_welt_anzeigen($display_string)
	{
		//sitpos_welt_ausblenden();
		//echo '<div id="sit_world"><img id="sit_world_gif" src="images/sIT_world.gif" /> <br> '.$display_string.' </div>';
		echo "<script>
				sitpos_welt_anzeigen('".$display_string."');
			 </script>";
		ob_flush();
		flush();
	}
	
	function sitpos_welt_ausblenden()
	{
		echo "<script>
				sitpos_welt_ausblenden();
			  </script>";
	}
	
	function starte_transaktion()
	{
		mysql_query("ALTER TABLE abgeschlossener_bon AUTO_INCREMENT = 1");
		mysql_query("ALTER TABLE dep AUTO_INCREMENT = 1");
		//RFR - V2.03 - das kann meiner Meinung nach nur Probleme machen
		//mysql_query("set autocommit=0");  
		mysql_query("SET TRANSACTION ISOLATION LEVEL READ COMMITTED");
		mysql_query("START TRANSACTION");
	}
	
?>